//=========================================================================
//
//	FILE:				CP_MouseEvents_Main.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for CP_MouseEvents.
//	
//	HISTORY:			1st Version - August 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-08-30 22:33:04 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================
#ifndef _H_CP_MouseEvents_Main
#define _H_CP_MouseEvents_Main
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_FrameworkFlags.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		Main
*	@brief		Applications main entry point.
*/
#if TARGET_OS_MAC || TARGET_OS_LINUX
	int main( int argc, char *argv[] );
#else if TARGET_OS_WIN32
	int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPreInst, LPSTR lpszCmdLine, int nCmdShow );
#endif

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_MouseEvents_Mainn

