//=========================================================================
//
//	FILE:				CP_GeneralErrorStr_Defines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			String resources used in to report various error conditions
//						in a CPLAT application.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_GeneralErrorStrDefines
#define _H_CP_GeneralErrorStrDefines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

//========================================================================
// Error / Warning messages
//========================================================================
const SInt16 kCP_GeneralErrorMessages_ResID							= 902;
	const SInt16 kError_CouldNotCompleteOperation_index					= 1;
	const SInt16 kError_CouldNotFindPersistantWriter_index				= 2;
	const SInt16 kError_CouldNotCreateDocument_index					= 3;
	const SInt16 kError_AnXMLParsingErrorOccurred_index					= 4;
	const SInt16 kError_CouldNotFindDecoder_index						= 5;
	const SInt16 kError_CouldNotFindSignalHandler_index					= 6;
	const SInt16 kError_CouldNotFindPrsistantCreator_index				= 7;
	
CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_GeneralErrorStrDefines

