//=========================================================================
//
//	FILE:				CP_DebugMenu.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Rez definition for the debug menu used in CPLAT.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef __CP_DEBUG_MENU_R__
#define __CP_DEBUG_MENU_R__

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

	// Apple Includes
#include <Carbon.r>

resource 'MENU' (900, "Debug Menu")
{
	900,
	textMenuProc,
	0xE01,
	enabled,
	"Debug",
	{
		"Show Messages", noIcon, "", noMark, plain,
	}
};

resource 'xmnu' (900, purgeable)
{
	versionZero
	{
		{
			dataItem { 900, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

#endif /* __CP_DEBUG_MENU_R__ */
