//=========================================================================
//
//	FILE:				CP_GeneralErrorStr.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			String resources used in to report various error conditions
//						in a CPLAT application.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef __CP_GENERAL_ERROR_STR_R__
#define __CP_GENERAL_ERROR_STR_R__

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

resource 'STR#' (902, "General Error Strings")
{
	{
		"Operation could not be completed.",
		"Could not find appropriate writer object for this file type.",
		"The specified document type could not be created.",
		"An error occurred parsing an XML file.",
		"Could not find a decoder to decode the data.",
		"Could not find a handler to handle the signal.",
		"Could not find a creator to create the object.",
	}
};

#endif /* __CP_GENERAL_ERROR_STR_R__ */
